Create Tag
curl --request POST \
--url https://cms.thepublive.com/publisher/{publisher_id}/tag/ \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"english_name": "<string>",
"slug": "<string>",
"meta_title": "<string>",
"meta_description": "<string>",
"content": "<string>"
}
'import requests
url = "https://cms.thepublive.com/publisher/{publisher_id}/tag/"
payload = {
"name": "<string>",
"english_name": "<string>",
"slug": "<string>",
"meta_title": "<string>",
"meta_description": "<string>",
"content": "<string>"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
english_name: '<string>',
slug: '<string>',
meta_title: '<string>',
meta_description: '<string>',
content: '<string>'
})
};
fetch('https://cms.thepublive.com/publisher/{publisher_id}/tag/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Created Successfully"
}{
"detail": "Invalid Auth Credentials"
}Create Tag
POST
/
publisher
/
{publisher_id}
/
tag
/
Create Tag
Authorizations
HTTP Basic Auth using your Publive API key pair, base64-encoded.
Path Parameters
Your Publisher ID
Body
application/json
Response
Created
Last modified on August 10, 2026
Was this page helpful?
⌘I